using System.ComponentModel.DataAnnotations;

namespace bitforum.DTOs.Request
{
    /// <summary>
    /// 로그인 요청 DTO
    /// </summary>
    public class LoginDto
    {
        [Required(ErrorMessage = "이메일을 입력해주세요.")]
        [DataType(DataType.EmailAddress)]
        public required string Email { get; set; }

        [Required(ErrorMessage = "비밀번호를 입력해주세요.")]
        [DataType(DataType.Password)]
        public required string Password { get; set; }
    }
}
